Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5

OpenWRT 19.07.7 squashfs for ath79 4MB devices (-tiny) with LuCI
#1

This is a package of OpenWRT 19.07.7 stable builds for targets ath79.

Modifications against default tiny packages:
  • removed PPP support
  • removed OPKG
  • added LuCI
  • added relayd
  • replaced wpad-mini by wpad-basic
This way the builds could fit into squashfs (factory/sysupgrade) compatible builds. Relayd is there for cases where you use the device as LAN extender over WLAN without additional NAT. Wpad-basic enables the use of 802.11r.

Please note there is still upgrading incompatibility against deprecated target ar71xx (OpenWRT version 18.06 or older), please see https://openwrt.org/docs/guide-user/inst...x.to.ath79 for more info.

Builds have not been tested for all devices, but compiling resulted in no errors.


https://openwrt.ashus.net/19.07.7-target...tiny-luci/
For wget in console you can use extra configured non-secure source http://openwrt.ashus.net/19.07.7-targets...tiny-luci/

[Image: kavove-zrnka-lajna.jpg]
Coffee phreak!
Reply
#2

Very good work!

Is possible to compile the 19.07.7 for the TL-WA701ND v2 (I have found only the firmware for v1)?

Thanks
Reply
#3

(4.11.2021 09:04)mfc Wrote:  Very good work!

Is possible to compile the 19.07.7 for the TL-WA701ND v2 (I have found only the firmware for v1)?

Thanks

Hi,

please look here, I already looked into this:
https://forum.openwrt.org/t/openwrt-19-0...89?u=ashus

[Image: kavove-zrnka-lajna.jpg]
Coffee phreak!
Reply
#4

(15.2.2020 04:38)Ashus Wrote:  This is a package of OpenWRT 19.07.7 stable builds for targets ath79.

Modifications against default tiny packages:
  • removed PPP support
  • removed OPKG
  • added LuCI
  • added relayd
  • replaced wpad-mini by wpad-basic
This way the builds could fit into squashfs (factory/sysupgrade) compatible builds. Relayd is there for cases where you use the device as LAN extender over WLAN without additional NAT. Wpad-basic enables the use of 802.11r.

Please note there is still upgrading incompatibility against deprecated target ar71xx (OpenWRT version 18.06 or older), please see https://openwrt.org/docs/guide-user/inst...x.to.ath79 for more info.

Builds have not been tested for all devices, but compiling resulted in no errors.


https://openwrt.ashus.net/19.07.7-target...tiny-luci/
For wget in console you can use extra configured non-secure source http://openwrt.ashus.net/19.07.7-targets...tiny-luci/

Can you compile firmware to TPLINK WR740v4 with LuCI and wireguard? I found compile with wireguard but no have LuCI.
Reply
#5

Sorry, it won't fit together into 4MB flash even on this older and smaller OpenWRT 19.07.x. Buy a new router with larger ROM.

[Image: kavove-zrnka-lajna.jpg]
Coffee phreak!
Reply




Users browsing this thread: 1 Guest(s)